package sgc.portal.cd.cdpop.service;

import org.springframework.stereotype.Service;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cdpop.dto.CDPOPSearch;
import sgc.portal.cd.cdpop.persistence.CDPOPMapper;

import java.util.List;

@Service
public class CDPOPService {
    private final CDPOPMapper mapper;

    public CDPOPService(CDPOPMapper mapper) {
        this.mapper = mapper;
    }
    
    public List<EasyHashMap<String, Object>> getCcList(CDPOPSearch search) {
        return mapper.getCcList(search);
    }
    
    public List<EasyHashMap<String, Object>> getCcAsList(CDPOPSearch search) {
        return mapper.getCcAsList(search);
    }
    
    public List<EasyHashMap<String, Object>> getCcSiteList(CDPOPSearch search) {
        return mapper.getCcSiteList(search);
    }
    
    public List<EasyHashMap<String, Object>> getJobtypListKo(CDPOPSearch search) {
    	return mapper.getJobtypListKo(search);
    }
    
    public List<EasyHashMap<String, Object>> getJobtypListEn(CDPOPSearch search) {
    	return mapper.getJobtypListEn(search);
    }
    
    public List<EasyHashMap<String, Object>> getEqpmListKo(CDPOPSearch search) {
    	return mapper.getEqpmListKo(search);
    }
    
    public List<EasyHashMap<String, Object>> getEqpmListEn(CDPOPSearch search) {
    	return mapper.getEqpmListEn(search);
    }
    
    public List<EasyHashMap<String, Object>> getBdmtListKo(CDPOPSearch search) {
    	return mapper.getBdmtListKo(search);
    }
    
    public List<EasyHashMap<String, Object>> getBdmtListEn(CDPOPSearch search) {
    	return mapper.getBdmtListEn(search);
    }
    
    public List<EasyHashMap<String, Object>> getCovendNmList(CDPOPSearch search) {
    	return mapper.getCovendNmList(search);
    }
    
    public List<EasyHashMap<String, Object>> getVendList(CDPOPSearch search) {
    	return mapper.getVendList(search);
    }
    
}
